%define rname beryl
%define name %{rname}-settings
%define version 0.1.9999.2
%define release %mkrel 2

Name: %name
Version: %version
Release: %release
Summary: Settings Manager for Beryl
Group: System/X11
URL: http://www.beryl-project.org/
Source: http://releases.beryl-project.org/%{version}/%{name}-%{version}.tar.bz2
License: GPL
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: beryl-core-devel = %{version}
BuildRequires: beryl-settings-bindings = %{version}
BuildRequires: pygtk2.0-devel
BuildRequires: intltool
BuildRequires: desktop-file-utils
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

Requires: beryl-settings-bindings = %{version}
Requires: pygtk2.0

# compiz-quinnstorm-plugins was renamed to beryl-plugins
Provides: csm
Obsoletes: csm

%description
Configuration editor for Beryl.


%prep
%setup -q

%build
%configure2_5x --disable-mime-update
%make

%install
rm -rf %{buildroot}
%makeinstall_std
%find_lang %{name}

desktop-file-install \
  --vendor="" \
  --remove-category="Settings" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-Configuration-Other" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%clean
rm -rf %buildroot

%post
%update_menus
%{update_desktop_database}

%postun
%clean_menus
%{clean_desktop_database}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS  ChangeLog README COPYING 
%{_bindir}/%{name}
%dir %{_datadir}/bsm
%{_datadir}/bsm/images/*.svg
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/applications/%{name}.desktop

%changelog
* Sun Mar 04 2007 anssi
+ 2007-03-04 17:50:05 (132334)
- fix desktop entry categories

* Sat Feb 17 2007 colin 0.1.9999.2-2mdv2007.1
+ 2007-02-17 15:46:20 (122145)
- Add pygtk2.0 dependancy

* Wed Feb 14 2007 colin 0.1.9999.2-1mdv2007.1
+ 2007-02-14 23:46:12 (120682)
- New Release Candidate 0.1.9999.2 (RC2)
- SILENT slight tidyup

* Tue Feb 06 2007 colin 0.1.9999.1-1mdv2007.1
+ 2007-02-06 14:02:12 (116729)
- Remove the older build requires, these are now handled in beryl-core-devel (SILENT)
- Fix BuildRequires (really its the settings-bindings that require this - SILENT)
- Fix BuildRequires (SILENT)
- Don't make it noarch yet as upstream have not fixed autotools yet.
- Make a noarch package
- New Release Candidate: RC1

* Sun Jan 21 2007 colin 0.1.99.2-1mdv2007.1
+ 2007-01-21 20:47:04 (111375)
- New version 0.2.0 Beta 2

* Fri Jan 05 2007 colin 0.1.4-1mdv2007.1
+ 2007-01-05 02:01:16 (104299)
- New Release: 0.1.4

* Mon Dec 11 2006 colin 0.1.3-1mdv2007.1
+ 2006-12-11 17:17:39 (94710)
- The official 0.1.3
- from plouf
    - New rev 0.1.3

* Mon Nov 20 2006 colin 0.1.2-3mdv2007.1
+ 2006-11-20 21:18:40 (85541)
- Spec file cleanup

* Thu Nov 09 2006 colin 0.1.2-2mdv2007.1
+ 2006-11-09 22:27:35 (78434)
- Rebuild with correctly libified beryl-core

* Wed Nov 08 2006 colin 0.1.2-1mdv2007.0
+ 2006-11-08 19:23:13 (78068)
- New Release 0.1.2

* Mon Oct 23 2006 colin 0.1.1-2mdv2007.1
+ 2006-10-23 23:55:42 (72138)
- Correct the version requirement on beryl-core-devel
- Require correct version of beryl-core-devel
- Add in missing build requires accidentially overwritten in last update.
- from plouf
    - New revision 0.1.1

* Wed Oct 18 2006 colin 0.1.0-7mdv2007.1
+ 2006-10-18 08:11:29 (66091)
- YAR - Yet Another Rebuild
- Fix more BuildReqs
- Build also requires desktop-file-utils
- Fix BuildRequires
- Rebuild
- Fix build requires (intltool)
- Proper handling of Provides/Obsoletes for package renames
- First Beryl Settings release
- Compiz Quinnstorm becomes Beryl
- Fix BuildRequires from automated reports
- Fix menus

* Sun Sep 17 2006 colin 0.12-4mdv2007.0
+ 2006-09-17 23:38:47 (61851)
- Import csm

